﻿using Syncfusion.UI.Xaml.Grid;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;

namespace CaptionSummaryCustomization
{
    public static class Commands
    {
        static Commands()
        {
            CommandManager.RegisterClassCommandBinding(typeof(SfDataGrid), new CommandBinding(PrintPreview, OnPrintGrid));
        }

        #region Print Preview Command

        public static RoutedCommand PrintPreview = new RoutedCommand("PrintPreview", typeof(SfDataGrid));

        private static void OnPrintGrid(object sender, ExecutedRoutedEventArgs args)
        {
            var dataGrid = args.Source as SfDataGrid;
            if (dataGrid == null) return;
            try
            {
                dataGrid.PrintSettings.PrintManagerBase = new CustomPrintManagerBase(dataGrid);
                dataGrid.PrintSettings.AllowPrintByDrawing = false;
                dataGrid.PrintSettings.AllowPrintStyles = true;
                dataGrid.PrintSettings.PrintPageMargin = new System.Windows.Thickness(0);
                dataGrid.ShowPrintPreview();
            }
            catch (Exception)
            {

            }
        }

        #endregion

    }
}
